CVE-2006-1726

NameCVE-2006-1726
DescriptionUnspecified vulnerability in Firefox and Thunderbird 1.5 before 1.5.0.2, and SeaMonkey before 1.0.1, allows remote attackers to bypass the js_ValueToFunctionObject check and execute arbitrary code via unknown vectors involving setTimeout and Firefox' ForEach method.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid57.0-1fixed
thunderbird (PTS)wheezy (security)1:52.4.0-1~deb7u1fixed
jessie (security)1:52.4.0-1~deb8u1fixed
stretch (security)1:52.4.0-1~deb9u1fixed
buster, sid1:52.4.0-1fixed
xulrunner (PTS)wheezy, wheezy (security)24.8.1esr-2~deb7u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)1.5.dfsg+1.5.0.2-1high
thunderbirdsource(unstable)1.5.0.2-1medium
xulrunnersource(unstable)1.8.0.1-9high

Notes

New bug in Firefox 1.5.

Search for package or bug name: Reporting problems